package cn.hnthyy.thmz.service.his.mz;

import cn.hnthyy.thmz.entity.his.mz.MzfzPatientOrder;

import java.util.List;

public interface MzfzPatientOrderService {


    /**
     * 查询符合条件的待就诊分诊数据总数
     *
     * @param mzfzPatientOrder
     * @return
     */
    Integer querycountUnClinic(MzfzPatientOrder mzfzPatientOrder);

    /**
     * 分页查询待就诊分诊信息
     *
     * @param mzfzPatientOrder
     * @return
     */
    List<MzfzPatientOrder> queryUnClinicWithPage(MzfzPatientOrder mzfzPatientOrder);

    /**
     * 查询符合条件的分诊数据总数
     *
     * @param mzfzPatientOrder
     * @return
     */
    Integer queryCountMzfzPatientOrder(MzfzPatientOrder mzfzPatientOrder);

    /**
     * 分页查询分诊信息
     *
     * @param mzfzPatientOrder
     * @return
     */
    List<MzfzPatientOrder> queryMzfzPatientOrderWithPage(MzfzPatientOrder mzfzPatientOrder);

    /**
     * 根据门诊分诊流水号查询分诊信息
     * @param serialNo
     * @return
     */
    MzfzPatientOrder queryBySerialNo(String serialNo);
}
